<!-- 
 * @start_prolog@
 * IBM Confidential
 * 
 * OCO Source Materials
 * 
 * 5724-I82, 5724-L01, 5655-R15, 5655-N53, 5724-I66, 5655-W05, 5655-W09
 * 
 * Copyright IBM Corp. 2006, 2009
 * 
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 * @end_prolog@
-->

<%@ page import="java.util.Locale,org.apache.struts.util.MessageResources,java.util.StringTokenizer,com.ibm.websphere.product.WASProduct,com.ibm.websphere.product.xml.product.product"%>

<!-- WSC Console Federation-->
<%@ page language="java" %>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ page import="com.ibm.ws.console.core.WSCDefines" %>
<%@ page import="com.ibm.ejs.ras.RasHelper" %>

<%!
public static final String[] LOCALES =
		new String[] {
			"en",
			"de",
			"es",
			"fr",
			"it",
			"ja",
			"ko",
			"pt_BR",
			"zh",
			"zh_TW",
			"cs",
			"hu",
			"pl",
			"ru" };
%>

<% //WSC Console Federation
Boolean federation = (Boolean)request.getSession().getAttribute(WSCDefines.WSC_ISC_LAUNCHED_TASK);

if ( federation == null) {
    federation = new Boolean(false);
}

if ( federation.booleanValue() ) {
//WSC Console Federation - only if we are federated we need the locale info
        Locale locale = request.getLocale();
        String currentLocale = "en";
        
        String[] availableLocales = LOCALES;
        
//      String[] availableLocales = new String [] {"en","de","es","fr","it","ja","ko","pt","zh_TW","zh"};
        if (locale.toString().startsWith("en") || locale.toString().equals("C")) {
            currentLocale = availableLocales [0];
        } else
        {
            for (int i = 1; i < availableLocales.length; i++)
            {
                if (locale.toString().equals(availableLocales[i]))
                {
                    currentLocale = availableLocales [i];
                    break;
                }
                else
                {
                    if (locale.toString().startsWith(availableLocales[i]))
                    {
                        currentLocale = availableLocales [i];
                        break;
                    }
                }
            }
        }

    String localeStr = currentLocale;
}
%>

<!-- WSC Console Federation -->
<ibmcommon:detectLocale/>

<html:html locale="true">
<head>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<META HTTP-EQUIV="Expires" CONTENT="0">
</head>
<body>


<%

		String sep = "---------------------------------------";
		//	   Begin LIDB2775 zOS changes
		/*   String copyright = "Licensed Material - Property of IBM\n" +                              
				"5724-i63, 5724-H88 (C) Copyright IBM Corp. 1996, 2004\n" + "\n" +                 
				"All Rights Reserved.\n" + "\n" +                                       
				"U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or\n" +  
				"Disclosure restricted by GSA-ADP schedule contract with IBM Corp.\n" +
				"IBM is a registered trademark of the IBM Corp.\n" + "\n" +                                                                   
				"Status = H28W600";  */
		//	   End LIDB2775 zOS changes
		Locale locale =
			(Locale) session.getAttribute(org.apache.struts.Globals.LOCALE_KEY);
		MessageResources messages =
			(MessageResources) application.getAttribute(
				org.apache.struts.Globals.MESSAGES_KEY);

/* Product numbers 6.0.2
5724-L01	WebSphere Process Server for Multiplatforms
5724-I82	WebSphere Enterprise Service Bus for Multiplatforms
5655-N53	WebSphere Process Server for z/OS
5655-R15	WebSphere Enterprise Service Bus for z/OS
*/
		String[] messageargs =
			{ "5655-W05, 5655-W09", "2009" };  
		String copyright =
			messages.getMessage(locale, "welcome.copyright", messageargs);
		/* 
		 * new starts here
		 */

		String unknown = messages.getMessage(locale, "wesb.unknown");
		String esbVersion = unknown;
		try {
			if (RasHelper.isServer()) {
				System.out.println("RasHelper is a server");
				esbVersion = RasHelper.getVersionId();
			} else {
				System.out.println(
					"RasHelper is not a server ("
						+ RasHelper.getVersionId()
						+ ")");
			}
		} catch (RuntimeException e) {

		}
		System.out.println("version id from RasHelper is [" + esbVersion + "]");

		/*
		 * Extract product, version and build number from 'esbVersion'
		 */
		String prodName, buildVer, buildNum;
		int lBracket = 0;
		int rBracket = 0;
        String prodVerBuild = null;
        while(prodVerBuild == null)
        {
            lBracket = esbVersion.indexOf("[", rBracket);
            if(lBracket == -1) break;
            rBracket = esbVersion.indexOf("]", lBracket);
            if(rBracket == -1) break;
            String tempStr = esbVersion.substring(lBracket+1, rBracket);
            if(tempStr.indexOf("ESB") != -1) prodVerBuild = tempStr;
        }
		if (prodVerBuild != null) {

			StringTokenizer st = new StringTokenizer(prodVerBuild, " ");
			System.out.println("product/version/build=" + prodVerBuild);

			if (st.hasMoreTokens()) {
				prodName = st.nextToken();
			} else {
				prodName = unknown;
			}

			if (st.hasMoreTokens()) {
				buildVer = st.nextToken();
			} else {
				buildVer = unknown;
			}

			if (st.hasMoreTokens()) {
				buildNum = st.nextToken();
			} else {
				buildNum = unknown;
			}
		} else {
			System.out.println(
				"Didn't find '[' or ']' ("
					+ lBracket
					+ "), ("
					+ rBracket
					+ ")");
			prodName = unknown;
			buildVer = unknown;
			buildNum = unknown;
		}

        // Get user-friendly product name from WBI.product
        WASProduct wasproduct = new WASProduct();
        product prod = wasproduct.getProductById(prodName);
        prodName = prod.getName();                         

		String aboutText =
			messages.getMessage(locale, "wesb.about.product")
				+ " "
				+ prodName
				+ "\n"
				+ messages.getMessage(locale, "wesb.about.version")
				+ " "
				+ buildVer
				+ "\n"
				+ messages.getMessage(locale, "about.build.num")
				+ " "
				+ buildNum
				+ "\n"
				+ sep
				+ "\n";

		/*
		 * new ends here
		 */

		aboutText += copyright;
%>
<STYLE>
TEXTAREA { width:95%; border-style: none; scrollbar-face-color:#CCCCCC; scrollbar-shadow-color:#FFFFFF; scrollbar-highlight-color:#FFFFFF; scrollbar-3dlight-color:#6B7A92; scrollbar-darkshadow-color:#6B7A92; scrollbar-track-color:#E2E2E2; scrollbar-arrow-color:#6B7A92  }
</STYLE>
<form>
<textarea name="abouttext" rows='6' cols='40' CLASS="desctext" READONLY>
<%=aboutText%>
</textarea>
</form> 

<!-- WSC Console Federation -->
</body>
</html:html>
