<!--
 * @start_prolog@
 * @(#)SIBXSRVR/ws/code/sibx.admin.webui.base/src/sibxbaseresources/com.ibm.ws.console.sibx.sibxbaseresources/propertiesTable.jsp, WESB.admin.webui, WBI70.SIBXSRVR, of0950.12 1.9
 * 
 * IBM Confidential
 * 
 * OCO Source Materials
 * 
 * 5724-I82, 5724-L01, 5655-R15, 5655-N53
 * 
 * (c) Copyright IBM Corp. 2006
 * 
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 * @end_prolog@
-->
<!doctype HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.util.List"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="com.ibm.ws.sibx.management.commands.sca.appext.SCAModulePropertyWrapper"%>
<%@ page isThreadSafe="false"%>
<%@ taglib uri="/WEB-INF/ibmcommon.tld" prefix="ibmcommon" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/tiles.tld" prefix="tiles" %>

<tiles:useAttribute name="propertyList" classname="java.util.List" />
<tiles:useAttribute name="groupName" classname="java.lang.String" />


	<%-- Panel content --%>
	<%	
	String tableName = groupName + "Table";
	%>

    <table id="<%=tableName%>  CLASS="framing-table" border="0" cellpadding="3" cellspacing="1" width="100%" summary="List table">
        <tr>
            <th class="column-head-name" scope="col">
                <bean:message key="Property.name.displayName"/>
            </th>
            <th class="column-head-name" scope="col">
                <bean:message key="TypedProperty.type.displayName"/>
            </th>
            <th class="column-head-name" scope="col">
                <bean:message key="Property.value.displayName"/>
            </th>
        </tr>

			<%-- Loop through the list of properties --%>
			<% 
			Iterator iterator = propertyList.iterator();
			while(iterator.hasNext()){
				SCAModulePropertyWrapper currentProperty = (SCAModulePropertyWrapper)iterator.next();					
			%>
                <tr CLASS="table-row">
					
                    <td class="collection-table-text" >
						<%= currentProperty.getIdentifier() %>
					</TD>

                    <td class="collection-table-text" >
						<%= currentProperty.getType() %>
					</TD>

                    <td class="collection-table-text" >
						<input TYPE="text" name="<%=groupName%>_<%=currentProperty.getIdentifier()%>" class="noIndentTextEntry" id="property_value_<%=currentProperty.getIdentifier()%>" value="<%=currentProperty.getValue()%>" size="90"/> 
					</TD>
					
				</tr>			
			<% } %>									
	</table>	



